## libsolv 0.7.20

=== debian/changelog ===
libsolv (0.7.20-1ubuntu0.22.04.1) jammy; urgency=medium

  [ Sjoerd Simons ]
  * Enable libzstd compression support (LP: #2043625)

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Nov 2023 22:55:31 +0000

libsolv (0.7.20-1build2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 17:04:51 +0100

libsolv (0.7.20-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:54:56 +0000

libsolv (0.7.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update (and fix some) copyright attributions.
  * debian/source/lintian-overrides:
    + Catch some very long lines in man pages.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Nov 2021 10:52:16 +0100

libsolv (0.7.17-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL and switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 14:13:00 +0200
