=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/class/python-module.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_ARGS += --fail-missing
DEB_DH_MISSING_ARGS += --fail-missing

DEB_DH_INSTALLCHANGELOGS_ARGS = NEWS

DEB_INSTALL_DOCS_ALL = README CREDITS TODO_1.0

DEB_CMAKE_EXTRA_FLAGS := \
                         -DCMAKE_INSTALL_PREFIX=/usr \
                         -DLIB="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
                         -DINCLUDE="include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
                         -DUSE_VENDORDIRS=1 \
                         -DMULTI_SEMANTICS=1 \
                         -DDEBIAN=1 \
                         -DENABLE_PUBKEY=1 \
                         -DENABLE_SUSEREPO=1 \
                         -DENABLE_RPMMD=1 \
                         -DENABLE_RPMDB=1 \
                         -DENABLE_RPMDB_BYRPMHEADER=1 \
                         -DENABLE_HELIXREPO=1 \
                         -DENABLE_DEBIAN=1 \
                         -DENABLE_MDKREPO=1 \
                         -DENABLE_ARCHREPO=1 \
                         -DENABLE_CUDFREPO=1 \
                         -DCMAKE_VERBOSE_MAKEFILE=ON \
                         -DENABLE_LZMA_COMPRESSION=1 \
                         -DENABLE_BZIP2_COMPRESSION=1 \
                         -DENABLE_ZSTD_COMPRESSION=1 \
                         -DENABLE_PERL=1 \
                         -DENABLE_PYTHON=0 \
                         -DENABLE_PYTHON3=1 \
                         -DCMAKE_SKIP_RPATH=FALSE \
                         -DCMAKE_SKIP_INSTALL_RPATH=TRUE \
                         -DENABLE_COMPLEX_DEPS=1 \
                         -DENABLE_COMPS=1 \
                         $(NULL)

DEB_MAKE_CHECK_TARGET := test

common-install-indep:: remove-cruft tweak-install
common-install-arch:: remove-cruft tweak-install

remove-cruft::
	@echo "Nothing to decruft after installation."

tweak-install::
	if [ -e debian/tmp/usr/bin/repo2solv.sh ]; then mv debian/tmp/usr/bin/repo2solv.sh debian/tmp/usr/bin/repo2solv; fi
	if [ -e debian/tmp/cmake ]; then mv debian/tmp/cmake/ debian/tmp/usr/share/; fi
	if [ -e debian/tmp/usr/share/cmake/libsolv/FindLibSolv.cmake ]; then ln -s FindLibSolv.cmake debian/tmp/usr/share/cmake/libsolv/LibSolvConfig.cmake; fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
