## libsolv 0.7.22

=== debian/changelog ===
libsolv (0.7.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update detail in one of the overrides.
  * debian/libsolv1.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Apr 2022 23:16:51 +0200

libsolv (0.7.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libsolv1.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Mar 2022 22:13:21 +0100
