## libsolv 0.7.23

=== debian/changelog ===
libsolv (0.7.23-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libsolv-doc: Add Multi-Arch: foreign.
  * Update lintian override info format in d/source/lintian-overrides on line
    2-5.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/upstream/metadata: Complete file.
  * debian/copyright: Update copyright attributions.
  * debian/copyright: Update copyright attributions for debian/.
  * debian/libsolv1.symbols: Update symbols.
  * debian/source/lintian-overrides: Adjust to new version.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 23:47:58 +0100
