=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
  librpm-dev (>= 4),
  liblzma-dev,
  libbz2-dev,
- libzstd-dev,
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
@@ -58,6 +57,7 @@
 Architecture: all
 Depends:
  ${misc:Depends}
+Multi-Arch: foreign
 Description: dependency solver using a satisfiablility algorithm (documentation files)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
