## libsolv 0.7.24

=== debian/changelog ===
libsolv (0.7.24-1ubuntu0.23.10.1) mantic; urgency=medium

  [ Sjoerd Simons ]
  * Enable libzstd compression support (LP: #2043625)

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Nov 2023 22:49:32 +0000

libsolv (0.7.24-1) unstable; urgency=medium

  * New upstream release 0.7.24
  * Bump Standards-Version to 4.6.2, no changes
  * Fix installation of python3 files
  * Add myself as uploader

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Jul 2023 11:13:06 +0100
