=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>
 Build-Depends:
  debhelper (>= 10~),
  dh-python,
@@ -13,10 +14,11 @@
  librpm-dev (>= 4),
  liblzma-dev,
  libbz2-dev,
+ libzstd-dev,
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
