## libsolv 0.7.28

=== debian/changelog ===
libsolv (0.7.28-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:17:06 +0000

libsolv (0.7.28-1build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:53:10 +0100

libsolv (0.7.28-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Update upstream source from tag 'upstream/0.7.28'
  * Drop 1006_various-typos.patch, merged upstream
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 29 Jan 2024 10:28:06 +0000

libsolv (0.7.27-2) unstable; urgency=medium

  * Simplify dependencies on Python (Closes: #1057464)

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Dec 2023 00:43:04 +0000

libsolv (0.7.27-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.27'

 -- Luca Boccassi <bluca@debian.org>  Sun, 26 Nov 2023 12:58:08 +0000

libsolv (0.7.26-2) unstable; urgency=medium

  [ Sjoerd Simons ]
  * Enable libzstd compression support

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Nov 2023 22:02:16 +0000

libsolv (0.7.26-1) unstable; urgency=medium

  * Switch to git-buildpackage workflow
  * Switch to debhelper
  * Build against all Python versions (Closes: #867608)
  * List missing symbols for libsolv1
  * Simplify d/copyright
  * Fix Lintian warning about mismatched override
  * Update upstream source from tag 'upstream/0.7.26'

 -- Luca Boccassi <bluca@debian.org>  Sat, 11 Nov 2023 16:02:21 +0000

libsolv (0.7.25-1) unstable; urgency=medium

  * New upstream release 0.7.25

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Sep 2023 16:59:24 +0100
