=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libsolv
 Section: admin
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
-Uploaders: Luca Boccassi <bluca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  dpkg-dev (>= 1.16.1.1),
- cdbs,
  cmake,
  libexpat1-dev,
  zlib1g-dev,
@@ -16,13 +17,12 @@
  libbz2-dev,
  libzstd-dev,
  python3-dev,
- libpython3-dev,
  swig,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
-Vcs-Browser: https://salsa.debian.org/debian/libsolv/
-Vcs-Git: https://salsa.debian.org/debian/libsolv.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libsolv/
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libsolv.git
 
 Package: libsolv1
 Section: libs
