## libsolv 0.7.29

=== debian/changelog ===
libsolv (0.7.29-1build1) oracular; urgency=medium

  * Rebuild against new librpm10.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 May 2024 15:11:05 +0200

libsolv (0.7.29-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Update upstream source from tag 'upstream/0.7.29'

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 May 2024 14:44:24 +0100
