=== debian/changelog ===
libsolv (0.7.30-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.30'

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Jul 2024 11:27:56 +0100
