=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libsolv
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
@@ -18,7 +17,7 @@
  libzstd-dev,
  python3-dev,
  swig,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libsolv/
