=== debian/changelog ===
libsolv (0.7.31-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:43:43 +0100

libsolv (0.7.31-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.31'
  * Drop patches to support rpmdb in homedir, rpm no longer supports that
  * Drop patch to redirect cmake file and use dh_install instead
  * Drop patch to fix sysconfig.get_path and set env var instead
  * Update symbols file

 -- Luca Boccassi <bluca@debian.org>  Wed, 13 Nov 2024 12:26:26 +0000

libsolv (0.7.30-2) unstable; urgency=medium

  * Add build dependency on python3-setuptools (Closes: #1080655)
  * libsolvext-dev: depend on compression libs dev packages (Closes:
    #1084503)

 -- Luca Boccassi <bluca@debian.org>  Mon, 07 Oct 2024 23:11:38 +0100
