=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  libbz2-dev,
  libzstd-dev,
  python3-dev,
+ python3-setuptools,
  swig,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -138,6 +139,10 @@
 Depends:
  ${misc:Depends},
  libsolvext1 (= ${binary:Version}),
+ zlib1g-dev,
+ liblzma-dev,
+ libbz2-dev,
+ libzstd-dev,
 Breaks:
  libsolvext0-dev (<< 0.7),
 Replaces:
