=== bindings/tcl/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 ADD_LIBRARY (bindings_tcl SHARED solv_tcl.c)
 SET_TARGET_PROPERTIES (bindings_tcl PROPERTIES PREFIX "" OUTPUT_NAME "solv-${VERSION}" INSTALL_NAME_DIR "${TCL_INSTALL_DIR}")
-TARGET_LINK_LIBRARIES (bindings_tcl libsolvext libsolv ${TCL_LIBRARY} ${SYSTEM_LIBRARIES})
+TARGET_LINK_LIBRARIES (bindings_tcl ${LIBSOLV_BINDINGS_LIBRARIES} ${TCL_LIBRARY} ${SYSTEM_LIBRARIES})
 INSTALL (TARGETS bindings_tcl LIBRARY DESTINATION ${TCL_INSTALL_DIR})
 
 ADD_CUSTOM_COMMAND (
