=== debian/changelog ===
libsolv (0.7.32-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.32'
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Update symbols files for 0.7.32

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Apr 2025 22:06:19 +0100
