=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-dev,
  python3-setuptools,
  swig,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libsolv/
